Не удается загрузить после 15.10 Обновление

Я в режиме отчаяния. Вчера вечером я обновился до 15.10 с помощью sudo do-release-upgrade . В то время я ничего не делал. Он прошел без инцидентов.

Затем он попросил перезапустить. Я нажал Enter. Он перезагрузился, перешел на экран загрузки Ubuntu и зависает.

Я нажал Ctrl + Meta + F2, чтобы просмотреть командную строку. Это говорит …

 fsck from util-linux 2.26.2 /dev/sda1: recovering journal /dev/sda1: clean, 995697/3871592 files, 52624527/154846720 blocks 

… и остается там навсегда. Я могу перейти в режим восстановления, но ни одна из опций не помогает (я их запускал). Я могу добраться до корневого терминала, но я не знаю, что делать дальше.

У меня есть резервные копии, но я также не хочу тратить неделю на настройку своей системы снова и снова.

Как это исправить?

Это оказалось связано с ошибкой № 1493888 . Я использую fglrx качестве своего графического драйвера и, согласно официальному списку Changelog для Wily Werewolf, который несовместим в это время.

В комментариях к ошибке на Launchpad есть обходные пути, но это не сработало для меня лично. На данный момент я буду понижаться.


UPDATE: теперь я отлично работаю над Ubuntu 15.10. По-видимому, fglrx не будет поддерживаться в Ubuntu 16.04 , поэтому отход от этого проприетарного драйвера идеален, если это вообще возможно.

ПРЕДУПРЕЖДЕНИЕ. Прежде чем начинать весь этот джаз, убедитесь, что ваша видеокарта фактически поддерживается xserver-xorg-video-ati . Чтобы найти модель вашей видеокарты, запустите …

$ lspci -nn | grep VGA

Ваша модель подходит к концу линии. Затем проверьте список на официальной вики Ubuntu для своей модели. Возможно, вам придется игнорировать письмо в конце модели; мой был Radeon HD 6520G , но мне пришлось искать страницу всего за 6520 .

Отсутствие вариантов разрешения экрана в xserver-xorg-video-ati с открытым исходным кодом проистекает из того факта, что если fglrx присутствует в системе вообще, это будет xserver-xorg-video-ati мешать xserver-xorg-video-ati .

Если кто-то еще сталкивается с этой проблемой, вы можете очистить fglrx от TTY или root режима восстановления. Затем переустановите драйверы с открытым исходным кодом.

 $ sudo apt-get remove --purge xorg-driver-fglrx fglrx* $ sudo apt-get install --reinstall libgl1-mesa-glx libgl1-mesa-dri xserver xorg-core $ sudo dpkg-reconfigure xserver-xorg 

Перезагрузите компьютер, и вы обнаружите, что проблема решена.

Я еще не нашел решение, но у меня есть обходное решение: если вы можете получить доступ к меню GRUB, выберите «Дополнительные параметры загрузки» и выберите ядро ​​Linux в режиме Upstart.

Когда вы увидите экран GNU GRUB, выберите « Дополнительные параметры» для Ubuntu . Затем выберите вариант Ubuntu с Linux 4.xx-xx-generic (Upstart) . Там попытались войти в Ubuntu, а затем отобразить параметры, вы нажмете I, чтобы восстановить систему.

Ubuntu начнет теперь без ошибок fsck из util-linux 2.26.2.

вы должны переустановить свой рабочий стол. prees ctrl + alt + f1 или некоторый Fi (i <7)

войдите с вашим пользователем и пройдите.

если вы используете uinty, напишите здесь:

sudo apt-get install --reinstall ubuntu-desktop

если использовать Gnome:

sudo apt-get install --reinstall ubuntu-gnome-desktop

Также см. Отчет об ошибке, который решает проблему путем обновления:

https://bugs.launchpad.net/ubuntu/+source/util-linux/+bug/552018